package handler

import (
	"net/http"

	"fusenapi/utils/basic"

	"fusenapi/server/home-user-auth/internal/logic"
	"fusenapi/server/home-user-auth/internal/svc"
	"fusenapi/server/home-user-auth/internal/types"
)

func UserOrderListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.UserOrderListReq
		userinfo, err := basic.RequestParse(w, r, svcCtx, &req)
		if err != nil {
			return
		}

		// 创建一个业务逻辑层实例
		l := logic.NewUserOrderListLogic(r.Context(), svcCtx)
		resp := l.UserOrderList(&req, userinfo)

		basic.AfterLogic(w, r, resp)
	}
}
